Subject: Re: [OPSAWG] CALL FOR ADOPTION: draft-www-opsawg-yang-vpn-service-pm

From: "Wubo (lana)" <[email-masked]>
Date: Wed, 3 Feb 2021 06:41:38 +0000

Hi Adrian,

Thanks for your review and comments. Please see inline.

Thanks,
Bo

-----邮件原件-----
发件人: OPSAWG [mailto:[email-masked]] 代表 Adrian Farrel
发送时间: 2021年2月3日 7:09
收件人: 'Joe Clarke (jclarke)' <jclarke=[email-masked]>; [email-masked]
主题: Re: [OPSAWG] CALL FOR ADOPTION: draft-www-opsawg-yang-vpn-service-pm

Hi Joe,

I think this document fills a hole in the set of YANG models we have for managing and operating services over our network, and I'd like the WG to pick it up and polish it.

I commit to doing a review or two as the draft advances. To kick that off there are a few comments below. None of these needs to be addressed before adoption.

Best,
Adrian

---

It is unclear to me from Section 1 whether this document is intended to be limited to L3VPNs or applies to all VPNs. The very first sentence gives a strong hint that the scope is restricted to L3VPN, but I think that is not the intention.
[Bo]Thanks for pointing this out. The intention is to support both L3VPN and L2VPN, and we will fix section 1 to reflect this.
---

Maybe Figure 1 should be set in the context of RFC 8309. In particular, s/Service Network Models/Network Service Models/ But it might also be nice to include a reference to 8309 to help give meaning to the figure.
[Bo] Thanks, will add RFC 8309 as the context.

---

Looking at...
          +--ro inbound-octets?             yang:counter64
          +--ro inbound-unicast?            yang:counter64
          +--ro inbound-nunicast?           yang:counter64
          +--ro inbound-discards?           yang:counter32
          +--ro inbound-errors?             yang:counter32
          +--ro inbound-unknown-protocol?   yang:counter32
          +--ro outbound-octets?            yang:counter64
          +--ro outbound-unicast?           yang:counter64
          +--ro outbound-nunicast?          yang:counter64
          +--ro outbound-discards?          yang:counter32
          +--ro outbound-errors?            yang:counter32

I tend to agree that there are likely to be an order of magnitude fewer discards and errors than legitimate packets, but I can also consider times (such as during attacks) then every packet is in error or is discarded. I think it would be wise (and possibly helpful) to have all of the counters at 64bits.

This would also mean that the four counters under loss-statistics should also be counter64.
[Bo] The counters currently follow the definition of ietf-interfaces YANG. Your suggestion to consider additional use case also makes sense, we will expand those counters.

-----Original Message-----
From: OPSAWG <[email-masked]> On Behalf Of Joe Clarke (jclarke)
Sent: 29 January 2021 14:18
To: [email-masked]
Subject: [OPSAWG] CALL FOR ADOPTION: draft-www-opsawg-yang-vpn-service-pm

Hello, WG.  The draft-www-opsawg-yang-vpn-service-pm (A YANG Model for Network and VPN Service Performance Monitoring) work has been steadily progressing with the other VPN network model work.  This was presented last at IETF 109 (https://datatracker.ietf.org/doc/slides-109-opsawg-a-yang-model-for-network
-and-vpn-service-performance-monitoring/),
and there has been some recent discussion on list that has been addressed by the authors.  We would like to know if the working group wants to formally adopt this work.

Please respond with your comments and thoughts on the draft.  We will conduct a two week CFA, concluding on February 12, 2021.

Joe (on behalf of co-chairs)

_______________________________________________
OPSAWG mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/opsawg

_______________________________________________
OPSAWG mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/opsawg

---

From: Chang Liu(联通集团中国联通研究院-本部) <[email-masked]>
Date: Wed, 3 Feb 2021 07:18:47 +0000

Hi all,

Support the adoption as co-author.

Best Regards

________________________________
Liu Chang
China Unicom
Email: [email-masked]
Phone: +8618601102572

---Original---

From: OPSAWG <[email-masked]><mailto:&lt;[email-masked]&gt;> On Behalf Of Joe Clarke (jclarke)
Sent: 29 January 2021 14:18
To: [email-masked]<mailto:[email-masked]>
Subject: [OPSAWG] CALL FOR ADOPTION: draft-www-opsawg-yang-vpn-service-pm
Hello, WG.  The draft-www-opsawg-yang-vpn-service-pm (A YANG Model for Network and VPN Service Performance Monitoring) work has been steadily progressing with the other VPN network model work.  This was presented last at IETF 109 (https://datatracker.ietf.org/doc/slides-109-opsawg-a-yang-model-for-network
-and-vpn-service-performance-monitoring/),
and there has been some recent discussion on list that has been addressed by the authors.  We would like to know if the working group wants to formally adopt this work.
Please respond with your comments and thoughts on the draft.  We will conduct a two week CFA, concluding on February 12, 2021.
Joe (on behalf of co-chairs)

如果您错误接收了该邮件，请通过电子邮件立即通知我们。请回复邮件到 [email-masked]，即可以退订此邮件。我们将立即将您的信息从我们的发送目录中删除。 If you have received this email in error please notify us immediately by e-mail. Please reply to [email-masked] ,you can unsubscribe from this mail. We will immediately remove your information from send catalogue of our.

---

From: "Xu honglei" <[email-masked]>
Date: Fri, 5 Feb 2021 09:50:44 +0800

Hi WG,

Support adoption as co-author, thanks.

H.Xu

+86-010-5090-2313(office)

+86-133-0116-8970(mobile)

[email-masked] <mailto:[email-masked]> 

-------------------------------------------------------

China Telecom Corporation Limited Research Institute

Southern Zone of Future Science City, 

Beiqijia Town, Changping District, 

Beijing, China

102209

-----邮件原件-----

发件人: OPSAWG [ <mailto:[email-masked]>
mailto:[email-masked]] 代表 Joe Clarke (jclarke)

发送时间: 2021年1月29日 22:18

收件人:  <mailto:[email-masked]> [email-masked]

主题: [OPSAWG] CALL FOR ADOPTION: draft-www-opsawg-yang-vpn-service-pm

Hello, WG.  The draft-www-opsawg-yang-vpn-service-pm (A YANG Model for
Network and VPN Service Performance Monitoring) work has been steadily
progressing with the other VPN network model work.  This was presented last
at IETF 109 (
<https://datatracker.ietf.org/doc/slides-109-opsawg-a-yang-model-for-network
-and-vpn-service-performance-monitoring/>
https://datatracker.ietf.org/doc/slides-109-opsawg-a-yang-model-for-network-
and-vpn-service-performance-monitoring/),

and there has been some recent discussion on list that has been addressed by
the authors.  We would like to know if the working group wants to formally
adopt this work.

Please respond with your comments and thoughts on the draft.  We will
conduct a two week CFA, concluding on February 12, 2021.

OPSAWG mailing list

 <mailto:[email-masked]> [email-masked]

 <https://www.ietf.org/mailman/listinfo/opsawg>
https://www.ietf.org/mailman/listinfo/opsawg

---

From: "Xu honglei" <[email-masked]>
Date: Fri, 5 Feb 2021 09:53:59 +0800

Hi WG,

Support adoption as co-author, 

thanks.

H.Xu

Beijing, China

102209

-----邮件原件-----

发送时间: 2021年1月29日 22:18

OPSAWG mailing list

---

From: "Wubo (lana)" <[email-masked]>
Date: Fri, 5 Feb 2021 08:40:26 +0000

Hi Dhruv,

Thanks for the detailed review, please see inline.

Best regards,
Bo

发件人: OPSAWG [mailto:[email-masked]] 代表 Dhruv Dhody
发送时间: 2021年2月4日 18:13
收件人: Joe Clarke (jclarke) <jclarke=[email-masked]>
抄送: [email-masked]
主题: Re: [OPSAWG] CALL FOR ADOPTION: draft-www-opsawg-yang-vpn-service-pm

Hi,

The work seems to be quite useful. I support adoption by the WG.

A few comments -

(1) If the model supports L2VPN, I think we need to add the L2-level counters in the vpn-summary-statistics. Currently we only have IPv4 and IPv6 routes.
[Bo] Thanks, will add MAC-address-limit counters for L2VPN.

(2) Section 3

   The performance monitoring information reflecting the quality of the
   Network or VPN service such as end to end network performance data
   between source node and destination node in the network or between
   VPN sites can be aggregated or calculated using, for example, PCEP
   solution [RFC8233] [RFC7471] [RFC8570] [RFC8571] or LMAP [RFC8194].

I suggest changing "PCEP" to more generic term "Traffic Engineering Database (TED)".
[Bo] OK, will update.

(3) Section 3.2

3.2.  On demand Retrieval via RPC Model

   To obtain a snapshot of a large amount of performance data from a
   network element (including network controllers), service-assurance
   applications may use polling-based methods such as RPC model to fetch
   performance data on demand.

Do you mean the usual Netconf <get>? Not sure about the term "RPC model". Maybe refer to it as just polling mechanism.
[Bo] Yes. Thanks for pointing this out, will fix this to refer to the polling mechanism.

(4) Section 4.1

I am not sure about the depiction of how PE map to CE and further map to Nodes in the underlying network in Figure 3.

In the YANG we have node-type that can be PE, CE, or P and this figure does not help. Its possible I might be seeing it wrong :)

Also the mapping in the figure and the text for Node 3 and 4 don't match.

In "Site-2 A and B play the role of hub while Site-2 C plays the role of spoke.", did you intend to have 2 hub and 1 spoke?
[Bo] Thanks for catching this. Will fix the figure the text.

(5) Section 4.2

   For network performance monitoring, the attributes of "Network Level"
   that defined in [RFC8345] do not need to be extended.

[RFC8345] does not use the term "Network Level". I am wondering if we should use the full path /nw:networks/nw:network/ or container name instead...

Also applicable to 4.3

The "vpn-id" is just a string and would also depend on the network-service-type (L3VPN, L2VPN); IMHO some text to describe this is needed.

[Bo] Will update as you suggested.

(6) Section 4.3

Not clear on why node-type is marked as (Attribute) but site-id and site-role are (Constraint).

Can you expand on "site-id", is this matching with L3SM site-id or L3NM's vpn-network-access?

The type should be yang:counter32 instead of uint32 for -

       +--rw vpn-summary-statistics
          +--rw ipv4
          |  +--rw total-routes?          uint32
          |  +--rw total-active-routes?   uint32
          +--rw ipv6
             +--rw total-routes?          uint32
             +--rw total-active-routes?   uint32

[Bo] Thanks for catching the errors. “Constraint” will be corrected to ”Attribute“.

For the “site-id”, in most cases, it refers to L3NM's ne-id. In the case of provider-managed CE, it may refers to L3SM site-id.

(7) Section 7

(a)

  identity link-type {
    base vpn-common:protocol-type;
    description
      "Base identity for link type, e.g.,GRE, MPLS TE, VXLAN.";
  }

  identity VXLAN {
    base link-type;
    description
      "Base identity for VXLAN Tunnel.";
  }

  identity ip-in-ip {
    base link-type;
    description
      "Base identity for IP in IP Tunnel.";
  }

What is the benefit of creating link-type as an identity? Can VXLAN and ip-in-ip directly use vpn-common:protocol-type as a base?
[Bo] Thanks for the suggestion. We can directly use vpn-common:protocol-type as the tunnel encapsulation type.

(b)

    leaf outbound-qlen {
      type uint32;
      description
        " Length of the queue of the interface from where
          the packet is forwarded out.  The queue depth could
           be the current number of memory buffers used by the
          queue and a packet can consume one or more memory buffers
          thus constituting device-level information.";
    }
    description
      "Grouping for interface service telemetry.";
  }

Since these are abstract nodes how do we know this information?
[Bo] We will remove this. This is from the initial discussion on  rfc8532(Generic YANG Data Model for the Management of OAM Protocols That Use Connectionless Communications) . But the published RFC has removed this definition.

(c)

    leaf reference-time {
      type yang:date-and-time;
      description
        "The time that the current Measurement Interval started.";
    }

Shouldn't this be config false?
[Bo] Agree. Thanks, will update.

==

Suggestion:

Can we add an example of how percentile is used and reported in the appendix?
[Bo] Thanks. Will add the example.

Hope you find these comments useful.

Thanks!
Dhruv

On Fri, Jan 29, 2021 at 7:49 PM Joe Clarke (jclarke) <jclarke=[email-masked]<mailto:[email-masked]>> wrote:
Hello, WG.  The draft-www-opsawg-yang-vpn-service-pm (A YANG Model for
Network and VPN Service Performance Monitoring) work has been steadily
progressing with the other VPN network model work.  This was presented
last at IETF 109
(https://datatracker.ietf.org/doc/slides-109-opsawg-a-yang-model-for-network-and-vpn-service-performance-monitoring/),
and there has been some recent discussion on list that has been
addressed by the authors.  We would like to know if the working group
wants to formally adopt this work.

_______________________________________________
OPSAWG mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/opsawg